package com.ruoyi.sy.mapper;

import com.ruoyi.sy.domain.SyMajor;
import com.ruoyi.sy.domain.SyMajor;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专业Mapper接口
 *
 * @author mingxue
 * @date 2022-04-27
 */
public interface SyMajorMapper
{
    /**
     * 查询专业
     *
     * @param id 专业ID
     * @return 专业
     */
    public SyMajor selectSyMajorById(Long id);
    public SyMajor selectSyMajorByCode(@Param("examType") String examType, @Param("code") String code);
    public List<SyMajor> selectSyMajorByLevel(@Param("examType") String examType, @Param("level") Integer level);

    /**
     * 查询专业列表
     *
     * @param syMajor 专业
     * @return 专业集合
     */
    public List<SyMajor> selectSyMajorList(SyMajor syMajor);
    public List<SyMajor> selectSyMajorAndChildrenByCode(SyMajor syMajor);

    /**
     * 新增专业
     *
     * @param syMajor 专业
     * @return 结果
     */
    public int insertSyMajor(SyMajor syMajor);

    /**
     * 修改专业
     *
     * @param syMajor 专业
     * @return 结果
     */
    public int updateSyMajor(SyMajor syMajor);

    /**
     * 删除专业
     *
     * @param id 专业ID
     * @return 结果
     */
    public int deleteSyMajorById(Long id);

    /**
     * 批量删除专业
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyMajorByIds(Long[] ids);

    public List<SyMajor> selectSyMajorByPlan(@Param("year") Integer year, @Param("examType") String examType, @Param("universityId") Long universityId, @Param("location") String location);
    public List<SyMajor> selectMajorsByPlan( @Param("location") String location);
}
